package com.vote.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.vote.system.domain.VoteFormTemplates;
import com.vote.system.domain.VoteRegistrationForms;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
* @author MacBook
* @description 针对表【vote_registration_forms(报名表单表)】的数据库操作Service
* @createDate 2024-08-09 16:50:33
*/
public interface VoteRegistrationFormsService extends IService<VoteRegistrationForms> {

    IPage<VoteRegistrationForms> selectPage(VoteRegistrationForms voteRegistrationForms);

    int saveRegistrationForms(VoteRegistrationForms voteRegistrationForms);

    List<VoteFormTemplates> queryByFormTemplates();

    int deleteById(Long id);

    int editVoteRegistrationForms(VoteRegistrationForms voteRegistrationForms);
}
